<?php
namespace nur\sery\os\proc;

/**
 * Class CmdOr: une séquence de commandes séparées par ||
 *
 * l'exécution s'arrête au premier succès
 */
class CmdOr extends AbstractCmdList {
  function __construct($cmd=null, ?string $input=null, ?string $output=null) {
    parent::__construct(" || ", $cmd, $input, $output);
  }
}
